package dao

import models.TestRun

import scala.collection.mutable

class TestRunDAO {

  val testRuns = mutable.ListBuffer[TestRun]()

  def add(testRun:TestRun) = {
    var newId = Option(0L)
    testRuns.isEmpty match {
      case false => newId = Some(testRuns.sortBy(_.id.get).last.id.get+1)
      case true =>
    }
    val newTestRun = testRun.copy(id = newId)
    testRuns += newTestRun
    newTestRun
  }

  def all() = testRuns.toList

  def findById(id:Long): Option[TestRun] = {
    testRuns.find(_.id.contains(id))
  }

  def remove(id:Long) = {
    findById(id) match {
      case Some(testRun) => testRuns -= testRun
      case None =>
    }
  }

}
